### Class method

# Gtk WidgetClassset_css_name

#### Declaration [src]

    void
    gtk_widget_class_set_css_name (
      GtkWidgetClass* widget_class,
      const char* name
    )

#### Description [src]

Sets the name to be used for CSS matching of widgets.

If this function is not called for a given class, the name set on the parent class is used. By default, `GtkWidget` uses the name “widget”.

#### Parameters

`name`

  Type: `const char*`

  Name to use.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.